Status: Closed Start date: 2018-03-01

Priority: Middle (Средний) Due date: 2018-03-01

Assignee: Evgeniy Pavlovskiy % Done: 100%

Target version:  Spent time: 0.00 hour

Time: 18:10 - 19:40 Participants (Wiki): Bomshtein, Zubkov, Marinov, Frolov,

Sivaswamy, Sheng, Tussupova,

Markelov, Muliukov, Kurochkin,

Gyamerah, Pavlovskiy

Place: 5205 Participants:  

Description

18:15 - 19:35 Bomshtein, Yulia. Public speaking training.

Videostream: https://www.youtube.com/watch?v=Rv7z8G8jW1Y

History

#1 - 2018-03-07 16:11 - Evgeniy Pavlovskiy

- Status changed from Resolved to Closed
